package com.jasamedika.medifirst2000.dto;

public class PegawaiStrukturGajiByJaPeDto {
	private Integer id;
	private short kdProfile;
	private Integer jabatanId;
	private String namajabatan;
	private Integer pendidikanId;
	private String namaPendidikan;
	private Integer komponenHargaId;
	private String namaKomponenHarga;
	private Double hargaSatuan;
	private Double factorRate;
	private String operatorFactorRate;
	private Boolean statusEnabled;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}

	public short getKdProfile() {
		return kdProfile;
	}
	public void setKdProfile(short kdProfile) {
		this.kdProfile = kdProfile;
	}
	public Integer getJabatanId() {
		return jabatanId;
	}
	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}
	public String getNamajabatan() {
		return namajabatan;
	}
	public void setNamajabatan(String namajabatan) {
		this.namajabatan = namajabatan;
	}
	public Integer getPendidikanId() {
		return pendidikanId;
	}
	public void setPendidikanId(Integer pendidikanId) {
		this.pendidikanId = pendidikanId;
	}
	public String getNamaPendidikan() {
		return namaPendidikan;
	}
	public void setNamaPendidikan(String namaPendidikan) {
		this.namaPendidikan = namaPendidikan;
	}
	public Integer getKomponenHargaId() {
		return komponenHargaId;
	}
	public void setKomponenHargaId(Integer komponenHargaId) {
		this.komponenHargaId = komponenHargaId;
	}
	public String getNamaKomponenHarga() {
		return namaKomponenHarga;
	}
	public void setNamaKomponenHarga(String namaKomponenHarga) {
		this.namaKomponenHarga = namaKomponenHarga;
	}
	public Double getHargaSatuan() {
		return hargaSatuan;
	}
	public void setHargaSatuan(Double hargaSatuan) {
		this.hargaSatuan = hargaSatuan;
	}
	public Double getFactorRate() {
		return factorRate;
	}
	public void setFactorRate(Double factorRate) {
		this.factorRate = factorRate;
	}
	public String getOperatorFactorRate() {
		return operatorFactorRate;
	}
	public void setOperatorFactorRate(String operatorFactorRate) {
		this.operatorFactorRate = operatorFactorRate;
	}
	public Boolean getStatusEnabled() {
		return statusEnabled;
	}
	public void setStatusEnabled(Boolean statusEnabled) {
		this.statusEnabled = statusEnabled;
	}
	
}
